﻿using Microsoft.EntityFrameworkCore;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IDto;
using MTWorkHR.Core.IRepositories;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Infrastructure.DBContext;

namespace MTWorkHR.Infrastructure.Repositories
{
    public class UniversityRepository : Repository<University>, IUniversityRepository
    {
        private readonly DbSet<University> dbSet;
        public UniversityRepository(HRDataContext context) : base(context)
        {
            dbSet = context.Set<University>();
        }

    }
}
