﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Core.Global;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Models
{
    public class CompanyDto : EntityDto
    {
        public string CompanyName { get; set; }

        public string CRNumber { get; set; } //Commercial Registration
        public string? UserId { get; set; }
        public string? PhoneNumber { get; set; }
        public string? Address { get; set; }
        public string? Email { get; set; }
        public long? CountryId { get; set; }
        public long? CityId { get; set; }
        public UserTypeEnum? UserType { get; set; }
        public CompanyUserDto? CompanyUser { get; set; }
        public IFormFile? ProfileImage { get; set; }
        public IFormFile? CommercialRegAttach { get; set; }
        public IFormFile? TaxDeclarationAttach { get; set; }
        public IFormFile? PassportAttach { get; set; }
        public IFormFile? ExperienceCertificateAttach { get; set; }
        public IFormFile? IdAttach { get; set; }
        public string? CreateUser { get; set; }

    }
}
